import time

class BatteryMonitor:
    def __init__(self, count=15):
        self.count = count
        self.values = [0]
        self.lastvalue = 0
        self.avgvalue = 0
        self.trend = 0
        self.ref = 0

    def addvalue(self, value, ref):
        self.ref = ref
        while len(self.values) < self.count:
            self.values.append(value)
        self.values.pop(0)
        self.values.append(value)
        valuesum = 0
        lastvalue = 0
        for value in self.values:
            if lastvalue == 0:
                lastvalue = value
            valuesum += value
            self.trend += value - lastvalue
            lastvalue = value
        self.avgvalue = valuesum / self.count
        return self.avgvalue
